> ## Documentation Index
> Fetch the complete documentation index at: https://docs.risos.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get products



## OpenAPI

````yaml /openapi.yaml get /products/{productId}
openapi: 3.1.0
info:
  title: RISOS API
  version: current
  description: >-
    Current RISOS Products, Projects, ResearchJobs, Living Deliverables, and
    ongoing intelligence.
servers:
  - url: /api/rest
security:
  - bearerAuth: []
tags:
  - name: System
  - name: Products
  - name: Projects
  - name: Research
  - name: Intelligence
  - name: Monitor
  - name: Reports
paths:
  /products/{productId}:
    parameters:
      - $ref: '#/components/parameters/ProductId'
    get:
      tags:
        - Products
      operationId: getProduct
      responses:
        '200':
          description: Product definition
          content:
            application/json:
              schema:
                type: object
                properties:
                  product:
                    $ref: '#/components/schemas/Product'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    ProductId:
      name: productId
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/ProductId'
  schemas:
    Product:
      type: object
      required:
        - id
        - label
        - purpose
      properties:
        id:
          $ref: '#/components/schemas/ProductId'
        label:
          type: string
        purpose:
          type: string
        setupFields:
          type: array
          items:
            type: object
    ProductId:
      type: string
      enum:
        - validate_idea
        - find_what_to_build
        - understand_customers
        - find_ideal_customers
        - analyze_competitors
        - evaluate_market
        - price_package
        - position_message
        - build_gtm_strategy
        - build_creative_strategy
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
  responses:
    NotFound:
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: RISOS API key
      description: >-
        Scopes: research:read, research:write, evidence:read, monitor:read,
        monitor:write, mcp:use

````